public static final class UpdateGatewayAuthConsumerStatusResponseBody.Builder extends Object
public UpdateGatewayAuthConsumerStatusResponseBody.Builder code(Integer code)
The response code. The status code 200 indicates that the request was successful.
example:200
public UpdateGatewayAuthConsumerStatusResponseBody.Builder data(Boolean data)
Indicates whether the request was successful. Valid values:
true
public UpdateGatewayAuthConsumerStatusResponseBody.Builder dynamicCode(String dynamicCode)
The dynamic part in the error message.
example:code
public UpdateGatewayAuthConsumerStatusResponseBody.Builder dynamicMessage(String dynamicMessage)
The dynamic part in the error message. This parameter is used to replace the **%s** variable in the ErrMessage parameter.
example:If the return value of the ErrMessage parameter is The Value of Input Parameter %s is not valid and the return value of the DynamicMessage parameter is DtsJobId, the specified DtsJobId parameter is invalid.
The specified parameter is invalid.
public UpdateGatewayAuthConsumerStatusResponseBody.Builder errorCode(String errorCode)
The error code returned if the request failed.
example:mse-100-000
public UpdateGatewayAuthConsumerStatusResponseBody.Builder httpStatusCode(Integer httpStatusCode)
The HTTP status code.
example:200
public UpdateGatewayAuthConsumerStatusResponseBody.Builder message(String message)
The returned message.
example:The request is successfully processed.
public UpdateGatewayAuthConsumerStatusResponseBody.Builder requestId(String requestId)
The request ID.
example:56D9E600-6348-4260-B35F-583413F****
public UpdateGatewayAuthConsumerStatusResponseBody.Builder success(Boolean success)
Indicates whether the request was successful. Valid values:
truefalsetrue
public UpdateGatewayAuthConsumerStatusResponseBody build()
Copyright © 2026. All rights reserved.